1.0
1.0
get /v1/backups/{backup_id}/restore-targets
Description
복구 대상 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974 | string | None |
| query | backup_start_time optional | 시작 일시 Example : 2024-09-30T15:00:00Z | any of [string (date-time), null] | None |
| query | backup_end_time optional | 검색 종료 일시 Example : 2024-10-31T14:59:59Z | any of [string (date-time), null] | None |
| query | page optional | 페이지 Example : 0 | integer | 0 |
| query | size optional | 항목 수 Example : 20 | integer | 20 |
| query | sort optional | 정렬 조건 Example : backup_start_time:desc | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BackupRestoreTargetListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-targets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_start_time": "2024-09-30T15:00:00Z",
"is_restore_available": "true",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b",
"retention_period": "WEEK_2",
"schedule_id": "f5b8e22b-0d88-4698-9996-fb44217c8227",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By",
"usage_gb": "123.4"
}
],
"count": 1
}